class SeminarItem
  include Mongoid::Document
  include Mongoid::Timestamps

  field :title, localize: true

  belongs_to :seminar_main

  has_many :seminar_item_contents, :autosave => true, :dependent => :destroy
  accepts_nested_attributes_for :seminar_item_contents, :allow_destroy => true

end