# encoding: utf-8
class SeminarSignup

  include Mongoid::Document
  include Mongoid::Timestamps

  field :status
  field :name
  field :unit, localize: true
  field :tel, type: String
  field :phone, type: String
  field :fax, type: String
  field :email, type: String
  field :address, localize: true
  field :password
  field :note, localize: true
  
  belongs_to :seminar_main

  has_many :seminar_signup_values
  has_many :seminar_signup_contributes
  
  accepts_nested_attributes_for :seminar_signup_values, allow_destroy: true
  accepts_nested_attributes_for :seminar_signup_contributes, allow_destroy: true


end
